<?php

// Handle running this file by using SSI.php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')) 
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Make sure that we have the package database functions.
if (!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');
	

$smcFunc['db_add_column']("{db_prefix}members",
                array(
                     'name' => 'buy_text', 'type' => 'tinyint', 'size' => '4', 'null' => 'not null', 'default' => '0',
                ),
                array(),
                'do_nothing',
                ''
      );

$smcFunc['db_add_column']("{db_prefix}members",
                array(
                     'name' => 'buy_guest', 'type' => 'tinyint', 'size' => '4', 'null' => 'not null', 'default' => '0',
                ),
                array(),
                'do_nothing',
                ''
      );
      
$smcFunc['db_add_column']("{db_prefix}members",
                array(
                     'name' => 'buy_email', 'type' => 'tinytext','null' => 'not null',
                ),
                array(),
                'do_nothing',
                ''
      );
      


// Show a confirmation message, if an upgrade through SSI.php was successful.
if(SMF == 'SSI')
   echo 'Database Upgrade Complete!';

?>